FacetSearchParams (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.search.params.FacetSearchParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.search.params
Class FacetSearchParams

    java.lang.Object
      org.apache.lucene.facet.search.params.FacetSearchParams

    public class FacetSearchParams

extends Object

Faceted search parameters indicate for which facets should info be gathered.

The contained facet requests define for which facets should info be gathered.

Contained faceted indexing parameters provide required info on how to read and interpret the underlying faceted information in the search index.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`protected List<FacetRequest>` | `facetRequests`
`protected FacetIndexingParams` | `indexingParams`

Constructor Summary
`FacetSearchParams()` Construct with default faceted indexing parameters.
`FacetSearchParams(FacetIndexingParams indexingParams)` Construct with specific faceted indexing parameters.

Method Summary
`void` | `addFacetRequest(FacetRequest facetRequest)` Add a facet request to apply for this faceted search.
`CategoryListCache` | `getClCache()`
`FacetIndexingParams` | `getFacetIndexingParams()` A list of `FacetRequest` objects, determining what to count.
`List<FacetRequest>` | `getFacetRequests()` Parameters which controlled the indexing of facets, and which are also needed during search.
`void` | `setClCache(CategoryListCache clCache)` Set Cached Category Lists data to be used in Faceted search.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### indexingParams

    protected final FacetIndexingParams indexingParams

### facetRequests

    protected final List<FacetRequest> facetRequests

Constructor Detail

### FacetSearchParams

    public FacetSearchParams(FacetIndexingParams indexingParams)

  Construct with specific faceted indexing parameters. It is important to know the indexing parameters so as to e.g. read facets data correctly from the index. `addFacetRequest(FacetRequest)` must be called at least once for this faceted search to find any faceted result.

  Parameters:
    `indexingParams` - Indexing faceted parameters which were used at indexing time.
  See Also:
    `addFacetRequest(FacetRequest)`

### FacetSearchParams

    public FacetSearchParams()

  Construct with default faceted indexing parameters. Usage of this constructor is valid only if also during indexing the default faceted indexing parameters were used. `addFacetRequest(FacetRequest)` must be called at least once for this faceted search to find any faceted result.

  See Also:
    `addFacetRequest(FacetRequest)`

Method Detail

### getFacetIndexingParams

    public final FacetIndexingParams getFacetIndexingParams()

  A list of `FacetRequest` objects, determining what to count. If the returned collection is empty, the faceted search will return no facet results!

### getFacetRequests

    public final List<FacetRequest> getFacetRequests()

  Parameters which controlled the indexing of facets, and which are also needed during search.

### addFacetRequest

    public void addFacetRequest(FacetRequest facetRequest)

  Add a facet request to apply for this faceted search. This method must be called at least once for faceted search to find any faceted result.
  NOTE: The order of addition implies the order of the `FacetResult`s

  Parameters:
    `facetRequest` - facet request to be added.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getClCache

    public CategoryListCache getClCache()

  Returns:
    the cldCache in effect

### setClCache

    public void setClCache(CategoryListCache clCache)

  Set Cached Category Lists data to be used in Faceted search.

  Parameters:
    `clCache` - the cldCache to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD